#if !defined(__LSCLIPBOARD_H)
	#define __LSCLIPBOARD_H

	class CLSClipboard
	{
		public:
		//variables
			int			m_nX;
			int			m_nY;
			int			m_nWidth;
			int			m_nHeight;

			HWND		m_hWindowParent;
			HWND		m_hWindowMain;
			HWND		m_hWindowList;
			HWND		m_hWindowNextInList;
			//air0day change begin
			char		m_pszFontName[256];
			int			m_nFontSize;
			//air0day change end
			bool		m_bUpdate;
			bool		m_bOnTop;
			HBITMAP		m_hbmBackGround;
			int			m_nBorderTop;
			int			m_nBorderRight;
			int			m_nBorderBottom;
			int			m_nBorderLeft;
			char		m_pszIniFile[MAX_PATH];
			COLORREF	m_clrBackground;
			COLORREF	m_clrFontNormal;
			COLORREF	m_clrFontSelected;
			HFONT		m_hFont;
			bool		m_bNoKeyboardInput;
			//zeev change begin
			int			m_nMaxItems;// 0 for unlimited
			//zeev change end 
		//functions
			CLSClipboard();
			~CLSClipboard();
			
			void		LoadSetup(LPCSTR);
			void		SetWindowBitmapRgn(HWND, HDC);
			void		LoadFromFile(const char*);
			void		SaveToFile(const char*);
			void		ApplyFont(DWORD dwCharSet);
			int			GetCurrentIndex();
			int			SetCurrentIndex(int);
			int			GetCurrentCount();
		//statics
			static LRESULT CALLBACK WndProc( HWND, UINT, WPARAM, LPARAM );

			static LRESULT OnGetRevId(HWND, WPARAM, LPARAM);
			static LRESULT OnEraseBackground(HWND, WPARAM, LPARAM);
			static LRESULT OnNCHitTest(HWND, WPARAM, LPARAM);
			static LRESULT OnPaint(HWND, WPARAM, LPARAM);
			static LRESULT OnMeasureItem(HWND, WPARAM, LPARAM);
			static LRESULT OnDrawItem(HWND, WPARAM, LPARAM);
			static LRESULT OnKeyToItem(HWND, WPARAM, LPARAM);
			static LRESULT OnChangedCBChain(HWND, WPARAM, LPARAM);
			static LRESULT OnDrawClipboard(HWND, WPARAM, LPARAM);
			static LRESULT OnCommand(HWND, WPARAM, LPARAM);
			static LRESULT OnWindowPosChanging(HWND, WPARAM, LPARAM);
			void PutSelectedInClipboard();
	};
#endif
